import {
  Annotation,
} from '@overflow/commons/core/reflect';

import {
  ClassType,
} from '@overflow/commons/core/type';

import { ScopeAnnotation } from '@overflow/commons/di/decorators';
import { InstanceDefinition } from '@overflow/commons/di/factory';
import { ScopeType } from '@overflow/commons/di/type';
import { ScopeMetadata } from './scope_metadata';


export class ScopeMetadataResolver {
  protected static scopeAnnotationType: ClassType<Annotation> = ScopeAnnotation;

  public resolveScopeMetadata(definition: InstanceDefinition): ScopeMetadata {
    let scopeMetadata: ScopeMetadata = new ScopeMetadata();
    let scope: ScopeType = ScopeType.Default;

  }
}
